Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.23
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class Request

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.ocsp.Request

All Implemented Interfaces:
  DEREncodable

public class Request
extends ASN1Encodable

Constructor Summary
`Request(ASN1Sequence seq)`
`Request(CertID reqCert, X509Extensions singleRequestExtensions)`

Method Summary
`static Request` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static Request` | `getInstance(java.lang.Object obj)`
`CertID` | `getReqCert()`
`X509Extensions` | `getSingleRequestExtensions()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Request

    public Request(CertID reqCert,
                   X509Extensions singleRequestExtensions)

### Request

    public Request(ASN1Sequence seq)

Method Detail

### getInstance

    public static Request getInstance(ASN1TaggedObject obj,
                                      boolean explicit)

### getInstance

    public static Request getInstance(java.lang.Object obj)

### getReqCert

    public CertID getReqCert()

### getSingleRequestExtensions

    public X509Extensions getSingleRequestExtensions()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       Request         ::=     SEQUENCE {
           reqCert                     CertID,
           singleRequestExtensions     [0] EXPLICIT Extensions OPTIONAL }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.23
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD